FTSR Help


About FTSR Help


Conventions

The typographic conventions used in this help are described below.

Convention | Description
Bold | Used to denote components of the user interface such as buttons, field names, menus, and menu options. For example, the New button.
Menu...MenuOption | Select the menu from the menu bar then select the menu option from the menu. For example, File...Open would mean to select the File menu and then the Open option.
CAPS | Used to denote the name of a key on the keyboard. For example, the ENTER key.
Italics | Used to denote emphasis, captions and the result of n action in a procedure.


Contact Us

General enquiries on the FTSR for DigitalMicropraph should be sent to:

HREM Research Inc.
14-48 Matsukazedai
Higashimatsuyama
Saitama 355-0055
Japan

Phone:
Fax:
email:
Website:

+81 493 35 3913
+81 493 35 3919
support@hremresearch.com
http://www.hremresearch.com/

Enquiries on FTSR of a technical nature should be directed to:

Professor A I Kirkland
Department of Materials, Oxford University UK.

email:

angus.kirkland@materials.ox.ac.uk


Copyright Statements

©Copyright 2005 HREM Research Inc.

All rights reserved. This manual is protected by international copyright laws and treaties. Unauthorized reproduction and distribution of this manual, or any portion of it, will be prosecuted to the maximum extent possible and may result in severe civil and criminal penalties.

Portions of this document were prepared by HREM Research Inc. by editing the materials supplied by Professor A I Kirkland.

DigitalMicrograph is a trade mark of Gatan Inc.


Introduction to Focal and Tilt Series Restoration (FTSR)


What is FTSR ?

Introduction to Focal and Tilt Series Restoration (FTSR)

What is FTSR ?

FTSR stands for Focal or Tilt Series Reconstruction, a method that uses either a through focal or tilt azimuth series of HREM images to reconstruct the complex wave function at the specimen exit surface. Typically twenty defocus values are used in a focal series restoration and six or more tilt azimuths in a tilt series. A key component of the overall process is the determination of the aberrations of the individual images, which in the case of a tilt data set allows all coefficients in the wave aberration function to be compensated to an order dependent on the size of the dataset used. In all cases the blurring effects of the CCD detector can be fully compensated.

The FTSR method described here is based on a linear Wiener filter for the restoration itself, with aberration measurement for individual images based on the PCF/ PCI approach.

Key references to Tilt and Focal Series restoration can be found at the end of this introductory section.


Summary of the FTSR Method.


Image Reconstruction.

Summary of the FTSR Method.

Image Reconstruction.

The wave leaving an object for monochromatic, axial illumination can be separated into scattered and unscattered components as:

and the recorded image plane intensity is therefore given by:

If it is assumed that the scattering is sufficiently weak to ignore the quadratic term then the Fourier Transform of the image contrast (the fractional intensity deviation) is given as

The Fourier transforms of the object and image waves are related by a wave aberration function [image] and thus

where:

The derivations given here assume a weak object approximation for simplicity.

Hence in terms of the object wave the Fourier Transform of the image contrast can be rewritten as

in which the term n(k) represents the observational noise in the image.

The essence of all image reconstructions is now to find an estimate, [image] of [image] given a set of observed image contrast transforms, c(k) and a knowledge of their individual transfer functions, w(k).

Therefore given data from several differently aberrated images, an optimum solution for can be defined in various ways. In particular, a Wiener Filter applied to a series of images in the presence of noise gives an optimal estimate of the reconstructed wavefunction, expressed in the form of a weighted superposition of the image transforms as

in which the restoring Filters, [image] depend on the complex wave transfer functions

The effect of this expression on a Fourier component transmitted by only a single image is simply to retain it after division by the corresponding transfer function, and for components present in all images to average the estimates obtainable from any pair of differently aberrated images. For a component not transferred in any image the value of the filter tends to zero due to the inclusion of the noise to object power ratio, [image].

In the Final step of the overall reconstruction process the exit-plane wavefunction itself is obtained simply by inverse transformation.


Aberration Measurement.

Few of the aberration coeffcients defined in Appendix 1 are directly observable under axial illumination and their determination therefore relies on measurements from one or more possible observables taken as a function of known injected beam tilts. For an axial focus series only the symmetric coefficients C1 (defocus), A1 (two fold astigmatism) and C3 (spherical aberration) can be determined. In order to determine the remaining coefficients it is necessary to acquire images for a series of varying illumination tilts.

In the approach used in this code aberration measurements from individual images are initially made using a Phase Correlation Function (PCF), defined as the conventional XCF with the modulus set to unity;

where [image] are the image Fourier transforms and F(k) is a rotationally symmetric weighting factor used to suppress high frequency noise. This modulus normalisation is essential as it suppresses the crystal reflections that make the conventional XCF periodic. The PCF calculated between two images recorded at different defocus levels therefore consists of a centrosymmetric ring pattern, the exact form of which depends on the relative defocus between them. It is possible to compensate for the phase shifts giving rise to this ring pattern by the application of a phase factor dependent on the defocus difference thus defining a phase compensated PCF

in which the very small positive number h prevents a zero denominator and where [image] describes the propagation from the first to the second image in the presence of only a defocus difference D. When the value of D used to calculate [image] matches the actual focus difference the phase compensated PCF collapses to a sharp localised correlation peak In this way the relative defocus difference between two images can be determined by simply maximising this peak height as a function of the compensated defocus.

In the second step an initial image wavefunction, [image] in the plane of a reference image is calculated and then the absolute values of two fold astigmatism, A1 and defocus, C1 are determined using a Phase Contrast Index Function [image] given by

where

is the symmetric part of the wave aberration function (see appendix) with trial parameters C1, A1 and fixed spherical aberration C3. When these trial parameters are correct, [image] will tend to 1 for all spatial frequencies whereas for mismatched parameters, [image] shows dark bands.

In practice the mean phase contrast index given by

can be conveniently used, where [image] denotes a weighted average over k. This has a sharp maximum for the correct imaging parameters and hence maximizing [image] against C1 and the two components of A1 allows the determination of these parameters.


Appendix 1. The Wave Aberration Function.

In an ideal lens, a point object at a position (x; y) in the object plane leads to a spherical wavefront in the diffraction plane, contracting to a conjugate point in the image plane. However, all real lenses, and in particular electron lenses suffer from aberrations causing deviations from this ideal spherical wavefront reducing the sharpness of the image point much more severely than the diffraction limit alone.

A wave aberration function [image] can be defined that describes the distance between the ideal and actual wavefronts in the diffraction plane as a function of both the position of the point object in the image plane, (x; y) and of the position in the diffraction plane (scattering angle), (u; v). In HRTEM experiments, which are carried out at high magnification, only a very small part of the specimen is in the field of view and hence the dependence of W on (x; y) is usually neglected in the isoplanatic approximation.

In polar notation, with [image] the wave aberration function can be expressed as

which makes the azimuthal dependence of the various aberration terms clear. The importance of these aberration coefficients for HREM is made more obvious by considering the phase shifts given by multiplying the distance W by [image].

The table below gives a list of these isoplanatic aberration coefficients important in HREM ignoring those with a chromatic dependence.

Aberration | Order in | Azimuthal Symmetry | Name and Description
A0 | 1 | 1 | Image Shift
A1 | 2 | 2 | Two-Fold Astigmatism
A2 | 3 | 3 | Three-Fold Astigmatism
A3 | 4 | 4 | Four-Fold Astigmatism
B2 | 3 | 1 | Axial Coma
B3 | 4 | 2 | Axial Star
C1 | 2 | 1 | Defocus
C2 | 4 | 1 | Spherical Aberration


Appendix 2. Experimental Parameters

Accelerating voltage:

The accelerating voltage of the microscope in kV.

Sampling interval:

The effective width of one pixel in an image. This will depend on the magnification of the image and it is important that this is known accurately to allow the restoration to be performed successfully. It is generally not sufficient to simply calculate this value from the nominal magnification shown on the microscope. The sampling interval will determine the maximum resolution of your restoration since no image will contain spatial frequencies better than twice the sampling interval (the Nyquist limit).

Spherical Aberration:

The spherical aberration of the microscope in mm. Typical values for a conventional microscope are 0.5-2mm. This value can be taken from the manufacturers details if it has not been measured more accurately for your particular microscope. For an aberration corrected instrument this value will be measured and recorded by the software of the corrector (spherical aberration is also referred to as CS, C3, C3 and C3,0.) It is important to know whether the spherical aberration is positive or negative and consequently it may be helpful to tune the corrector such that a small residual Cs remains – greater than the error with which the value is being determined by the software. This will help provide contrast for a phase object and also help to reduce the chance of errors during the registration of the images.

Nominal focus step :

The focal difference between successive images. This should be as close as possible to the correct value but will be refined as part of the registration step. The microscope generally does not calibrate this nominal focal step very accurately and it is recommended that this is calibrated by comparing amorphous diffractograms with simulations. Focus step values between 5nm and 15nm generally give good restoration results. Smaller focus steps can be difficult to fit during the registration process. Larger focus steps can result in information missing from the final restored specimen exit wave and can make it difficult to obtain a suitable reference image.

Three fold astigmatism (3-fold astig) :

These are the real and imaginary parts of the 3-fold astigmatism in nm. For a conventional microscope this value is not generally provided by the manufacturer but can be measured from a series of amorphous diffractograms acquired under tilted illumination conditions (a Zemlin tableau). Including the effects of 3-fold astigmatism in the restoration can improve the appearance of the resulting exit wavefunction for the highest resolutions as is demonstrated in the worked example. However, useful results can still be obtained if 3 fold astigmatism is assumed to be negligible and both real and imaginary parts are set to zero.

Beam divergence (beam div )

The Beam divergence is the radial divergence of the beam. This is not a sensitive parameter and typical values are 0.1 -0.2 mrad for a FEG (Field emission gun) instrument.

Focal spread

The microscope instabilities, such as the energy spread in the electrons leaving the source and fluctuations in accelerating voltage and lens currents, can be represented through a smearing of the defocus referred to as the focal spread (Δ). The size of the focal spread is determined by magnitude of the variance in acceleration voltage σ2(V) lens current σ2(I) and energy of the electrons leaving the source σ2(E) and also by the chromatic aberration (CC) of the objective lens, as:

Information limit (Kmax)

The absolute information limit of the microscope (1/nm or nm-1). Using an information limit better than that of the microscope may dncrease the signal to noise ratio in the restoration. Using an information limit that is worse than that of the microscope may exclude high resolution information.

Focal limits (start focus and end focus).

These two values give the software a range of defocus search for the reference image.

This is not a very sensitive parameter but it should include the actual defocus of the reference image and too large a search range can prevent the data set converging to the correct value.

Vibration (vib)

This is a small constant which allows the software to model thermal vibration of the structure and helps the software to improve the signal to noise ratio of restored exit wavefunction. It is not a critical parameter but should be smaller than the sampling interval or ½ of the information limit which ever is greater. Typical values are 0.01-0.03nm.


Key References.

[1] Indirect High-Resolution Electron Microscopy; Aberration Measurement and Image Reconstruction, A. I. Kirkland, R. R. Meyer, Microscopy and Microanalysis, 10, 401, 2004.

[2] Super-Resolution by Aperture Synthesis: Tilt Series Reconstruction in CTEM, A. I. Kirkland, W. O. Saxton, K. -L. Chau, K. Tsuno, M. Kawasaki, Ultramicroscopy, 57, 355, 1995.

[3] Super-Resolution Using Tilt Azimuth Reconstructions, A. I. Kirkland, W. O. Saxton, G. Chand, M. Kawasaki and K. Tsuno, J. Electron Microsc., 44, 231, 1995.

[4] A New Method for the Determination of the Wave Aberration Function for High Resolution TEM. 1. Measurement of the Symmetric Aberrations, R R Meyer, A. I. Kirkland and W O Saxton, Ultramicroscopy, 92, 89, 2002.

[5] A New Method for the Determination of the Wave Aberration Function for High Resolution TEM. 2. Measurement of Antisymmetric Aberrations, R R Meyer, A. I. Kirkland and W O Saxton, Ultramicroscopy, 99, 115, 2004.

[6] Experimental Characterisation of CCD Cameras for HREM at 300kV, R. R. Meyer, A. I. Kirkland, R.E. Dunin-Borkowski, J. L. Hutchison, Ultramicroscopy, 85, 9, 2000.


How to Create an FTSR Project

Projects and Images

An FTSR project is made from a series of images of a particular sample. The project is either a series of through-focus images (Focal Series Images) or a series of tilted images (Tilt Series Images), which are subsequently used for Focal Series Reconstruction (FSR) or Tilt Series Reconstruction (TSR) as described in more detail elsewhere. A project normally containing about twenty images (for Focal Series Reconstruction) can be automatically acquired using the acquisition command (see Acquire Images...) from the FTSR menu.

The images in a project must be initially aligned using the Registration command before launching the Restoration command to reconstruct an exit wave from the data set.

How to Prepare Image

You can use the images obtained directly from your electron microscope for immediate (on-line) processing or images previously acquired and saved for off-line processing.

On-line processing
Using images captured directly from your electron microscope with a Gatan CCD camera (see Acquire Images...).

Off-line processing
Using existing image files, which can be opened or imported with DigitalMicropraph (see Setup Images...)


The FTSR Menu

The options in the FTSR menu are described below.

Option |  | Description
Acquire Images
 | FSR... | Acquires images for FSR using a Gatan CCD camera.
 | TSR... | Acquires images for TSR using a Gatan CCD camera.
Setup Images
 | FSR... | Sets up a FSR project from archived images.
 | TSR... | Sets up a TSR project from archived images.
Replace Dud Pixels... |  | Replaces dud pixels with a local average automatically according to the local image.
Registration
 | FSR... | Aligns the images in the FSR project and collects image registration data required for restoration.
 | TSR... | Aligns the images in the TSR project and collects image registration data required for restoration.
Restoration... |  | Executes restoration (FSR or TSR) according to the project type.
Minimum Amplitude WF... |  | Finds a wave function with minimum amplitude modulation.
Check Registration |  | All the images will be actually registered (shifted relative to the reference image), and thus you can verify a quality of registration.
Extract All Images |  | Extracts all component images from a project.
Extract Current Slice |  | Extracts an image currently displayed from a project.
Complex Images |  | Converts a complex image to a displayable real image type (Phase/Amplitude/Real/Imaginary) or its complex conjugate.
Convert To IWFR |  | Converts FSR results to be used by IWFR.
Acquire MTF/NPS Data (consult the separate document for further details)
 | Setup... | Sets up data acquisition conditions
 | Dark Images... | Acquires dark images
 | Flat Images... | Acquires flat images
 | Edge Images... | Acquires edge shadow images
Calculate MTF/NPS |  | Calculates MTF and NPS
Help |  | Opens an on-line help.
About FTSR |  | Information about FTSR.


Acquire Images Menu

The Acquire Images has two options as described below.

Option | Description
FSR... | Opens the FSR Acquisition dialog where to control image acquisition conditions for focal series restoration. When you press 'OK,' a series of images will be acquired automatically.
TSR... | Opens the TSR Acquisition dialog to control image acquisition conditions for tilt series restoration. When you press 'OK,' a series of images will be acquired automatically.

Note:

For focal series restoration you may have to check the objective lens hysteresis which will affects the actual defocus value. It is advisable to establish a hysteresis loop and to collect images along the same direction of the loop.

FSR Acquisition Dialog

The components of the dialog are described below.

Component | Description
Control Tab | For information about the components of the Control tab, see Control Tab below.
Setup Tab | For information about the components of the Setup tab, see Setup Tab below.
OK | Closes the dialog and starts image acquisition using the specified parameters.
Cancel | Closes the dialog without executing any command.

Note:

A series of through-focal images will be acquired at both under- and over-focus sides of the initial defocus (plus Defocus Offset).

Control Tab

Component | Description
Data Name | Acquired images will be identified with this name and an added sequential number. When a project is created after acquisition, this name is also used as the project name.
Exposure Time | Exposure time of each image (sec).
Focal Step | Defocus step between each image (nm).
Number of Images | Number of images to be acquired (positive number).
Setup Project Image | If checked, a project image will be created from all the acquired images. When this is unchecked, you have to create a project using Setup Images... command after acquisition.
Convert to Integer 2 Signed | Reduces memory requirement by converting the data type from Integer 4 Signed to Integer 2 Signed. Note: The original image should be within the rage of Integer 2 Signed.

Setup Tab

Component | Description
Folder | Acquired images will be saved into this folder. You can browse the folder directory.
Current Defocus | Specifies the defocus value prior to acquisition. When you adjust the image contrast to minimum, this value may be close to zero.
Center Defocus | Specifies the defocus of the middle image of a focal series. The focal series will be acquired around this defocus. If you wan to take images equally at under- and over-focus, this value should be zero.
Focus Calibration | Specifies a focus change in nm produced by a unit change of DAC.
Delay after Focus Change | Settling time after focus change (sec).
Binning | Specifies an image binning.


Setup Images Menu

The Setup Images has two options as described below.

Option | Description
FSR... | Opens the FSR Project Setup dialog where you can specify information of archived images. When you press 'OK,' a project will be created.
TSR... | Opens the TSR Project Setup dialog where you can specify information of archived images. When you press 'OK,' a project will be created.

FSR Project Setup Dialog

The components of the dialog are described below.

Component | Description
Image Info Tab | For information about the components of the Image Info tab, see Image Info Tab below.
OK | Closes the dialog and creates a FSR project.
Cancel | Closes the dialog without executing the command.

Image Info Tab

The components of the dialog are described below.

Component | Description
Data Name | Name of the project to be created. The number of images will be displayed on the right-hand side.
Focus step | Defocus step size between images. Be careful to make sure the sign is correct, depending on the order in which you have acquired the images.
Select Images... | Opens a File Open dialog to select archived images.

File Open Dialog

This is a standard Open dialog, so you can browse a directory and select multiple image files. When you choose ''Raw data'' for Files of type, you can read a binary data. In this case, you have to specify the image size (Width and Height), and Data Type.


Replace Dud Pixels

Replace Dud Pixels Menu

The options in the Replace Dud Pixels.. menu are described below.

Component | Description
Replace Dud Pixels... | Replaces dud (defective) pixel values with a local average according to the local image variance. A dialog requesting a tolerance will be opened, and dud pixel values determined within this tolerance will be automatically replaced. This routine will work for the whole image or a selected image area using a rectangular ROI.
Dialog for the whole image
Component | Description
Tolerance | Controls a degree of singularity in terms of a local standard deviation of the size defined below.
Size | Controls the size of a cluster of dud points to be removed.
Dialog for a selected image area
 | :::Ishizuka:Filters:Help v1.5 20081217:Screen Shots:Replace Dud Pixels with ROI.png
Component | Description
Tolerance | Controls a degree of singularity in terms of a standard deviation of the selected area.


Registration Menu

The Registration has two options as described below.

Option | Description
FSR... | Opens the FSR Registration dialog where you can specify conditions for image alignment as well as optical parameters. When you press 'OK,' registration data will be collected.
TSR... | Opens the TSR Registration dialog where you can specify conditions for image alignment as well as optical parameters. When you press 'OK,' registration data will be collected.

Note:

Before launching this command an image area used to registration should be selected with the ROI tools.

FSR Registration Dialog

The components of the dialog are described below.

Component | Description
Control Tab | For information about the components of the Control tab, see Control Tab below.
Setup Tab | For information about the components of the Setup tab, see Setup Tab below.
Option Tab | For information about the components of the Option tab, see Option Tab below.
Display | For information about the components of the Display tab, see Display Tab below.
OK | Closes the dialog and starts image registration according to the specified parameters.
Cancel | Closes the dialog without executing the command.

Control Tab

The components of the dialog are described below.

Component |  | Description
Sampling Interval |  | Linear size of (square) pixels in the object space (nm).
Kmax |  | The highest spatial frequency (1/nm) that you can observe in the image. This is usually an information limit. A rough estimation will work.
Image Selections |  | Specify the range of images in the project to be used for reconstruction. Note that the image number in the project starts from zero.
 | First Image | First image number in the project.
 | Last Image | Last image number in the project.
 | Reference Image | Image to be used as a reference for registration.
mtf |  | Specifies the MTF file. You can browse the file.
nps |  | Specifies the noise power spectrum file. You can browse the file.

Setup Tab

The components of the dialog are described below.

Component |  | Description
Acc Voltage |  | Accelerating voltage of the microscope (kV).
Cs |  | Third order spherical aberration coefficient (mm)
Focal Spread |  | Effective focal spread that defines temporal partial coherence (nm).
Beam Convergence |  | Beam convergence semi-angle due to finite source size (mrad).
Vibration |  | Magnitude of isotropic vibration (nm).
Three-fold Astigmatism
 | Real Part | Real part of three-fold astigmatism (nm).
 | Imaginary Part | Imaginary part of three-fold astigmatism (nm).

Option Tab

The components of the dialog are described below.

Start Value | Start focus of a focus search range for the reference image (see Control Tab) of the focal series. It is advisable to accommodate an appropriate focus error of the reference image. Note: underfocus is negative.
End Value | End focus of a focus search range for the reference image (see Control Tab) of the focal series. It is advisable to accommodate an appropriate focus error of the reference image.

Display Tab

The components of the dialog are described below.

Component | Description
Estimated Defocus | Shows defocus values estimated during the registration
Cross-Correlation | Shows cross-correlation values for each image with a reference/accumulated image
Specimen Drift | Shows specimen drift during image acquisition relative to a reference/accumulated image
Message level | Controls the amount of output messaging to the Results Window. (None/Normal/Detail)


Restoration... Menu

The options in the Restoration... menu are described below.

Option | Description
Restoration... | Opens the Restoration dialog where you can control restoration area. When you press 'OK,' restoration based on FSR or TSR algorithm will be performed according to the project type.

Restoration Dialog

The components of the dialog are described below.

Component | Description
Area Tab | For information about the components of the Area tab, see Area Tab below.
Use Images Tab | For information about the components of the Use Images tab, see Use Images Tab below.
OK | Closes the dialog and starts an image restoration (FSR or TSR) according to the image registration data.
Cancel | Closes the dialog without executing the command.

Area Tab

The components of the dialog are described below.

Component |  | Description
Full Region |  | Full area restoration.
Selected Region |  | Selected area restoration
 | Top, Left, Size | When Selected Region is selected, the selected area should be specified by its top-left corner in the whole image and its size. The default values correspond to the area used to registration.

Use Images Tab

Bad image(s) may be removed from an exit wave restoration by un-checking the box before the image(s).


Minimum Amplitude WF ... Menu

The options in the Minimum Amplitude WF... menu are described below.

Option | Description
Minimum Amplitude WF... | Finds a wave function with minimum amplitude modulation

This brings up the Minimum Amplitude WF dialogue box.

Minimum Amplitude WF dialogue

The components of the dialog are described below.

Component | Description
Control Tab | For information about the components of the Control tab, see Control Tab below.
Display Tab | For information about the components of the Display tab, see Display Tab below.
OK | Closes the dialog and calculates the minimum amplitude image according to the specified parameters.
Cancel | Closes the dialog without executing the command.

Control Tab

The options on the Control tab are described below:

Component | Description
Start Defocus | Start defocus of the defocus range to be searched for a minimum amplitude.
Last Defocus | Last defocus of the defocus range to be searched for a minimum amplitude.
Defocus Step | Defocus step of the defocus range to be searched for a minimum amplitude.
Noise Control | Noise magnitude used in a Wiener type Filter

Display tab

The options on the Display tab are described below:

Component | Description
Result Log | Display complex wave functions at all defocuses.
Amplitude Std | Display standard deviation of amplitude of wave function from mean.
Phase Std | Display standard deviation of phase of wave function from 0.0.
Message level | Controls the amount of output messaging to the Results Window. (Minimum/Normal/Detail)